SpamAssassin

  • Hey there, a little question. Are the 3rd party plugins (DecodeShortURLs & iXhash2) already integrated in this plugin?

  • Because of the config.php I asked. I was not sure if I need to install them before... :)

  • No installation necessary. Just activate in config and the plugins will be installed/copied to spamassassin.

  • SpamAssassin plugin version 0.0.3 has been released in Plugin Store.


    Version compatible with i-MSCP >= 1.1.1


    CHANGELOG

    • Fixed: The permissions were not set if the spamassassin library folder was already present.
    • Added: Option to change the cronjob for sa-learn and also changed the cron interval.


    Documentation is available at http://wiki.i-mscp.net/doku.php?id=plugins:spamassassin

  • When the plugin tries to check where the database is, the plugin sets wrong address:


    Code
    1. if($main::imscpConfig{'DATABASE_HOST'} eq 'localhost') {
    2. $self->{'SA_HOST'} = 'localhost'
    3. } else {
    4. $self->{'SA_HOST'} = $main::imscpConfig{'BASE_SERVER_IP'};
    5. }


    The DATABASE_USER_HOST must be set instead of BASE_SERVER_IP.

  • Hey there,


    under the following OS ans SpamAssassin Version, it is not able to install the plugin.


    OS: Ubuntu 14.04
    SpamAssassin: 3.4.0
    Plugin: 0.0.4


    i-MSCP 1.1.5
    Build: 20140327
    Codename: Eagle


    The error message:


    Plugin::SpamAssassin::_checkVersion: Your SpamAssassin version 3.4.0 is not compatible with this plugin version. Please check the documentation.


    Will there be an update in next time.


    Sorry about my bad english.


    Greetings Polawelt

    Wer HTML postet oder gepostetes HTML quotet oder sich gepostetes oder
    gequotetes HTML beschafft und in Verkehr bringt, wird mit PHP nicht unter zwei Jahren bestraft.